#include <cstdio>
#include <cstring>
#include <iostream>
#include <fstream>
#include <iomanip>
#include "MyVector.h"
using namespace std;

double scalarN, scalarM;
MyVector *vectorN, *vectorM;

int main(int argc, char *argv[]) {
	filebuf buf;
	int i, n, m;

	FILE *in = fopen(argv[1], "r");
	fscanf(in, "%d%d", &n, &m);
	if (n == 0) {
		fscanf(in, "%lf", &scalarN);
	} else {
		double *arr = new double[n];
		for (i=0; i<n; ++i) {
			fscanf(in, "%lf", arr+i);
		}
		vectorN = new MyVector(arr, n);
		delete []arr;
	}
	if (m == 0) {
		fscanf(in, "%lf", &scalarM);
	} else {
		double *arr = new double[m];
		for (i=0; i<m; ++i) {
			fscanf(in, "%lf", arr+i);
		}
		vectorM = new MyVector(arr, m);
		delete []arr;
	}
	int op;
	fscanf(in, "%d", &op);

	ios_base::sync_with_stdio(false);

	if (argc == 3) {
		cout << setprecision(17);
	} else {
		cout << setprecision(12);
	}

#define u(v, x) case v: (x).print(); break;
	switch ((!!n << 3) | (!!m << 2) | op) {
		u(4, scalarN + *vectorM);
		u(5, scalarN - *vectorM);
		u(6, scalarN * *vectorM);
		u(7, scalarN / *vectorM);
		u(8, *vectorN + scalarM);
		u(9, *vectorN - scalarM);
		u(10, *vectorN * scalarM);
		u(11, *vectorN / scalarM);
		u(12, (*vectorN) + (*vectorM));
		u(13, (*vectorN) - (*vectorM));
		case 14:
			cout << (*vectorN) * (*vectorM) << '\n';
			break;
		u(15, (*vectorN) / (*vectorM));
	}
	return 0;
}
